#ifndef _MONFERMENTERS_H
#define _MONFERMENTERS_H

#include <QDialog>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QTableWidget>

namespace Ui {
class MonFermenters;
}

class MonFermenters : public QDialog
{
    Q_OBJECT

public:
    explicit MonFermenters(QWidget *parent = nullptr);
    ~MonFermenters();

signals:
    void setStatus(QString);
    void updateFermenter(QString);

private slots:
    void on_editButton_clicked();
    void refreshTable(void);

public slots:
    void refreshFermenters(QString);

private:
    QGridLayout *gridLayout;
    QTableWidget *tableFermenters;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout;
    QPushButton *quitButton;

    void edit(int recno);
};

#endif
